<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Sun Jan 20 22:40:32 CET 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
org.apache.http.conn Class Hierarchy (HttpComponents Client 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2013-01-20">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.apache.http.conn Class Hierarchy (HttpComponents Client 4.3-alpha1 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/http/client/utils/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/http/conn/params/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http/conn/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
Hierarchy For Package org.apache.http.conn
</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies:</B><DD><A HREF="../../../../overview-tree.html">All Packages</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><B>Object</B></A><UL>
<LI TYPE="circle">org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/BasicEofSensorWatcher.html" title="class in org.apache.http.conn"><B>BasicEofSensorWatcher</B></A> (implements org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/EofSensorWatcher.html" title="interface in org.apache.http.conn">EofSensorWatcher</A>)
<LI TYPE="circle">org.apache.http.entity.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/entity/HttpEntityWrapper.html?is-external=true" title="class or interface in org.apache.http.entity"><B>HttpEntityWrapper</B></A> (implements org.apache.http.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpEntity.html?is-external=true" title="class or interface in org.apache.http">HttpEntity</A>)
<UL>
<LI TYPE="circle">org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/BasicManagedEntity.html" title="class in org.apache.http.conn"><B>BasicManagedEntity</B></A> (implements org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/ConnectionReleaseTrigger.html" title="interface in org.apache.http.conn">ConnectionReleaseTrigger</A>, org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/EofSensorWatcher.html" title="interface in org.apache.http.conn">EofSensorWatcher</A>)
</UL>
<LI TYPE="circle">java.io.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io"><B>InputStream</B></A> (implements java.io.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Closeable.html?is-external=true" title="class or interface in java.io">Closeable</A>)
<UL>
<LI TYPE="circle">org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/EofSensorInputStream.html" title="class in org.apache.http.conn"><B>EofSensorInputStream</B></A> (implements org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/ConnectionReleaseTrigger.html" title="interface in org.apache.http.conn">ConnectionReleaseTrigger</A>)
</UL>
<LI TYPE="circle">org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/MultihomePlainSocketFactory.html" title="class in org.apache.http.conn"><B>MultihomePlainSocketFactory</B></A> (implements org.apache.http.conn.scheme.<A HREF="../../../../org/apache/http/conn/scheme/SocketFactory.html" title="interface in org.apache.http.conn.scheme">SocketFactory</A>)
<LI TYPE="circle">java.net.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/net/SocketAddress.html?is-external=true" title="class or interface in java.net"><B>SocketAddress</B></A> (implements java.io.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</A>)
<UL>
<LI TYPE="circle">java.net.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/net/InetSocketAddress.html?is-external=true" title="class or interface in java.net"><B>InetSocketAddress</B></A><UL>
<LI TYPE="circle">org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/HttpInetSocketAddress.html" title="class in org.apache.http.conn"><B>HttpInetSocketAddress</B></A></UL>
</UL>
<LI TYPE="circle">java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang"><B>Throwable</B></A> (implements java.io.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</A>)
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang"><B>Exception</B></A><UL>
<LI TYPE="circle">java.io.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io"><B>IOException</B></A><UL>
<LI TYPE="circle">java.io.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/InterruptedIOException.html?is-external=true" title="class or interface in java.io"><B>InterruptedIOException</B></A><UL>
<LI TYPE="circle">org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/ConnectTimeoutException.html" title="class in org.apache.http.conn"><B>ConnectTimeoutException</B></A><UL>
<LI TYPE="circle">org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/ConnectionPoolTimeoutException.html" title="class in org.apache.http.conn"><B>ConnectionPoolTimeoutException</B></A></UL>
</UL>
<LI TYPE="circle">java.net.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/net/SocketException.html?is-external=true" title="class or interface in java.net"><B>SocketException</B></A><UL>
<LI TYPE="circle">java.net.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/net/ConnectException.html?is-external=true" title="class or interface in java.net"><B>ConnectException</B></A><UL>
<LI TYPE="circle">org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/HttpHostConnectException.html" title="class in org.apache.http.conn"><B>HttpHostConnectException</B></A></UL>
</UL>
</UL>
</UL>
</UL>
</UL>
</UL>
<H2>
Interface Hierarchy
</H2>
<UL>
<LI TYPE="circle">org.apache.http.concurrent.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/concurrent/Cancellable.html?is-external=true" title="class or interface in org.apache.http.concurrent"><B>Cancellable</B></A><UL>
<LI TYPE="circle">org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/ConnectionRequest.html" title="interface in org.apache.http.conn"><B>ConnectionRequest</B></A></UL>
<LI TYPE="circle">org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/ClientConnectionManager.html" title="interface in org.apache.http.conn"><B>ClientConnectionManager</B></A><LI TYPE="circle">org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/ClientConnectionManagerFactory.html" title="interface in org.apache.http.conn"><B>ClientConnectionManagerFactory</B></A><LI TYPE="circle">org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/ClientConnectionOperator.html" title="interface in org.apache.http.conn"><B>ClientConnectionOperator</B></A><LI TYPE="circle">org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/ClientConnectionRequest.html" title="interface in org.apache.http.conn"><B>ClientConnectionRequest</B></A><LI TYPE="circle">java.io.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Closeable.html?is-external=true" title="class or interface in java.io"><B>Closeable</B></A><UL>
<LI TYPE="circle">org.apache.http.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpConnection.html?is-external=true" title="class or interface in org.apache.http"><B>HttpConnection</B></A><UL>
<LI TYPE="circle">org.apache.http.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpClientConnection.html?is-external=true" title="class or interface in org.apache.http"><B>HttpClientConnection</B></A><UL>
<LI TYPE="circle">org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/ManagedClientConnection.html" title="interface in org.apache.http.conn"><B>ManagedClientConnection</B></A> (also extends org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/ConnectionReleaseTrigger.html" title="interface in org.apache.http.conn">ConnectionReleaseTrigger</A>, org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/HttpRoutedConnection.html" title="interface in org.apache.http.conn">HttpRoutedConnection</A>, org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/SocketClientConnection.html" title="interface in org.apache.http.conn">SocketClientConnection</A>)
<LI TYPE="circle">org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/OperatedClientConnection.html" title="interface in org.apache.http.conn"><B>OperatedClientConnection</B></A> (also extends org.apache.http.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpInetConnection.html?is-external=true" title="class or interface in org.apache.http">HttpInetConnection</A>)
<LI TYPE="circle">org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/SocketClientConnection.html" title="interface in org.apache.http.conn"><B>SocketClientConnection</B></A> (also extends org.apache.http.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpInetConnection.html?is-external=true" title="class or interface in org.apache.http">HttpInetConnection</A>)
<UL>
<LI TYPE="circle">org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/ManagedClientConnection.html" title="interface in org.apache.http.conn"><B>ManagedClientConnection</B></A> (also extends org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/ConnectionReleaseTrigger.html" title="interface in org.apache.http.conn">ConnectionReleaseTrigger</A>, org.apache.http.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpClientConnection.html?is-external=true" title="class or interface in org.apache.http">HttpClientConnection</A>, org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/HttpRoutedConnection.html" title="interface in org.apache.http.conn">HttpRoutedConnection</A>)
</UL>
</UL>
<LI TYPE="circle">org.apache.http.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpInetConnection.html?is-external=true" title="class or interface in org.apache.http"><B>HttpInetConnection</B></A><UL>
<LI TYPE="circle">org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/HttpRoutedConnection.html" title="interface in org.apache.http.conn"><B>HttpRoutedConnection</B></A><UL>
<LI TYPE="circle">org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/ManagedClientConnection.html" title="interface in org.apache.http.conn"><B>ManagedClientConnection</B></A> (also extends org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/ConnectionReleaseTrigger.html" title="interface in org.apache.http.conn">ConnectionReleaseTrigger</A>, org.apache.http.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpClientConnection.html?is-external=true" title="class or interface in org.apache.http">HttpClientConnection</A>, org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/SocketClientConnection.html" title="interface in org.apache.http.conn">SocketClientConnection</A>)
</UL>
<LI TYPE="circle">org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/OperatedClientConnection.html" title="interface in org.apache.http.conn"><B>OperatedClientConnection</B></A> (also extends org.apache.http.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpClientConnection.html?is-external=true" title="class or interface in org.apache.http">HttpClientConnection</A>)
<LI TYPE="circle">org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/SocketClientConnection.html" title="interface in org.apache.http.conn"><B>SocketClientConnection</B></A> (also extends org.apache.http.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpClientConnection.html?is-external=true" title="class or interface in org.apache.http">HttpClientConnection</A>)
<UL>
<LI TYPE="circle">org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/ManagedClientConnection.html" title="interface in org.apache.http.conn"><B>ManagedClientConnection</B></A> (also extends org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/ConnectionReleaseTrigger.html" title="interface in org.apache.http.conn">ConnectionReleaseTrigger</A>, org.apache.http.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpClientConnection.html?is-external=true" title="class or interface in org.apache.http">HttpClientConnection</A>, org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/HttpRoutedConnection.html" title="interface in org.apache.http.conn">HttpRoutedConnection</A>)
</UL>
</UL>
</UL>
</UL>
<LI TYPE="circle">org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/ConnectionKeepAliveStrategy.html" title="interface in org.apache.http.conn"><B>ConnectionKeepAliveStrategy</B></A><LI TYPE="circle">org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/ConnectionReleaseTrigger.html" title="interface in org.apache.http.conn"><B>ConnectionReleaseTrigger</B></A><UL>
<LI TYPE="circle">org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/ManagedClientConnection.html" title="interface in org.apache.http.conn"><B>ManagedClientConnection</B></A> (also extends org.apache.http.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpClientConnection.html?is-external=true" title="class or interface in org.apache.http">HttpClientConnection</A>, org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/HttpRoutedConnection.html" title="interface in org.apache.http.conn">HttpRoutedConnection</A>, org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/SocketClientConnection.html" title="interface in org.apache.http.conn">SocketClientConnection</A>)
</UL>
<LI TYPE="circle">org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/DnsResolver.html" title="interface in org.apache.http.conn"><B>DnsResolver</B></A><LI TYPE="circle">org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/EofSensorWatcher.html" title="interface in org.apache.http.conn"><B>EofSensorWatcher</B></A><LI TYPE="circle">org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/HttpClientConnectionManager.html" title="interface in org.apache.http.conn"><B>HttpClientConnectionManager</B></A><LI TYPE="circle">org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/HttpConnectionFactory.html" title="interface in org.apache.http.conn"><B>HttpConnectionFactory</B></A>&lt;T&gt;<LI TYPE="circle">org.apache.http.conn.<A HREF="../../../../org/apache/http/conn/SchemePortResolver.html" title="interface in org.apache.http.conn"><B>SchemePortResolver</B></A></UL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/http/client/utils/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/http/conn/params/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http/conn/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 1999-2013 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
